#ifndef CaptivePortalSpiffsServer_h
	#define CaptivePortalSpiffsServer_h
	
	#include <FS.h>
	#include <WiFi.h>
	#include <SPIFFS.h>
	#include <WebServer.h>
	#include <DNSServer.h>
	
	class CaptivePortalSpiffsServer {
		public:
			static void init(WebServer *webServer);
			static void begin(String host, char *ssid, char *passwd, String rootFolder = "/");		// Needs to be called in setup
			static void loop();																		// Needs to be called in loop
		private:
			static String _host;
			static DNSServer _dnsServer;
			static WebServer *_webServer;
			
			static String getFileType(String file);													// Gets the file type of a file from SPIFFS
			static void toIndex();																	// Redirects to index page
	};
#endif